import * as React from 'react';
import { WebReaderProps } from '..';
declare type ErrorState = {
    error?: Error;
    info?: React.ErrorInfo;
};
declare class ErrorBoundary extends React.Component<WebReaderProps, ErrorState> {
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    state: ErrorState;
    handleClearError(): void;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): React.ReactNode;
}
export default ErrorBoundary;
